# Uses of Interface
org.osgi.framework.wiring.BundleRevision

Packages that use BundleRevision
Package
Description
org.apache.felix.framework
org.apache.felix.framework.resolver
org.apache.felix.framework.util
org.apache.felix.framework.util.manifestparser
org.apache.felix.framework.wiring
org.osgi.framework.hooks.resolver
Framework Resolver Hooks Package Version 1.0.
org.osgi.framework.wiring
Framework Wiring Package Version 1.2.

## Uses of BundleRevision in org.apache.felix.framework

Classes in org.apache.felix.framework that implement BundleRevision
Modifier and Type
Class
Description
`class`
`BundleRevisionImpl`
Methods in org.apache.felix.framework that return BundleRevision
Modifier and Type
Method
Description
`BundleRevision`
BundleWiringImpl.`getImportedPackageSource(String pkgName)`
`BundleRevision`
BundleWiringImpl.`getResource()`
`BundleRevision`
BundleWiringImpl.`getRevision()`
Methods in org.apache.felix.framework that return types with arguments of type BundleRevision
Modifier and Type
Method
Description
`Collection<BundleRevision>`
ResolveContextImpl.`getMandatoryRevisions()`
`Collection<BundleRevision>`
ResolveContextImpl.`getOndemandRevisions()`
`Collection<BundleRevision>`
ResolveContextImpl.`getOptionalRevisions()`
`Map<BundleRevision,BundleWiring>`
ResolveContextImpl.`getWirings()`
Methods in org.apache.felix.framework with parameters of type BundleRevision
Modifier and Type
Method
Description
`void`
ResolveContextImpl.`checkNativeLibraries(BundleRevision rev)`

## Uses of BundleRevision in org.apache.felix.framework.resolver

Methods in org.apache.felix.framework.resolver that return BundleRevision
Modifier and Type
Method
Description
`BundleRevision`
ResolverWire.`getProvider()`
Returns the exporting bundle revision.
`BundleRevision`
ResolverWire.`getRequirer()`
Returns the importing bundle revision.
`BundleRevision`
WrappedCapability.`getResource()`
`BundleRevision`
HostedCapability.`getRevision()`
`BundleRevision`
ResolveException.`getRevision()`
`BundleRevision`
WrappedCapability.`getRevision()`
`BundleRevision`
WrappedRequirement.`getRevision()`
Methods in org.apache.felix.framework.resolver that return types with arguments of type BundleRevision
Modifier and Type
Method
Description
`Collection<BundleRevision>`
ResolveContext.`getMandatoryRevisions()`
`Collection<BundleRevision>`
ResolveContext.`getOptionalRevisions()`
`abstract Map<BundleRevision,BundleWiring>`
ResolveContext.`getWirings()`
`Map<BundleRevision,List<ResolverWire>>`
Resolver.`resolve(ResolveContext rc)`
`Map<BundleRevision,List<ResolverWire>>`
Resolver.`resolve(ResolveContext rc, BundleRevision revision, String pkgName)`
`Map<BundleRevision,List<ResolverWire>>`
ResolverImpl.`resolve(ResolveContext rc)`
`Map<BundleRevision,List<ResolverWire>>`
ResolverImpl.`resolve(ResolveContext rc, BundleRevision revision, String pkgName)`
Methods in org.apache.felix.framework.resolver with parameters of type BundleRevision
Modifier and Type
Method
Description
`Map<BundleRevision,List<ResolverWire>>`
Resolver.`resolve(ResolveContext rc, BundleRevision revision, String pkgName)`
`Map<BundleRevision,List<ResolverWire>>`
ResolverImpl.`resolve(ResolveContext rc, BundleRevision revision, String pkgName)`
Constructors in org.apache.felix.framework.resolver with parameters of type BundleRevision
Modifier
Constructor
Description
``
`ResolveException(String msg, BundleRevision revision, BundleRequirement req)`
Constructs an instance of `ResolveException` with the specified detail message.
``
`WrappedCapability(BundleRevision host, BundleCapabilityImpl cap)`
``
`WrappedRequirement(BundleRevision host, BundleRequirementImpl req)`

## Uses of BundleRevision in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util that return types with arguments of type BundleRevision
Modifier and Type
Method
Description
`static List<BundleRevision>`
Util.`getFragments(BundleWiring wiring)`
Methods in org.apache.felix.framework.util with parameters of type BundleRevision
Modifier and Type
Method
Description
`static List<BundleCapability>`
Util.`getCapabilityByNamespace(BundleRevision br, String namespace)`
Returns all the capabilities from a module that has a specified namespace.
`static BundleCapability`
Util.`getPackageCapability(BundleRevision br, String name)`
`static BundleWire`
Util.`getWire(BundleRevision br, String name)`
`static boolean`
Util.`isFragment(BundleRevision revision)`
Checks if the provided module definition declares a fragment host.
`static boolean`
Util.`isSingleton(BundleRevision revision)`
Returns true if the specified bundle revision is a singleton (i.e., directive singleton:=true in Bundle-SymbolicName).
Method parameters in org.apache.felix.framework.util with type arguments of type BundleRevision
Modifier and Type
Method
Description
`ResolverHook`
SecureAction.`invokeResolverHookFactory(ResolverHookFactory rhf, Collection<BundleRevision> triggers)`
`void`
SecureAction.`invokeResolverHookResolvable(ResolverHook rh, Collection<BundleRevision> candidates)`

## Uses of BundleRevision in org.apache.felix.framework.util.manifestparser

Methods in org.apache.felix.framework.util.manifestparser with parameters of type BundleRevision
Modifier and Type
Method
Description
`static List<BundleRequirement>`
ManifestParser.`parseDynamicImportHeader(Logger logger, BundleRevision owner, String header)`
`static List<BundleCapability>`
ManifestParser.`parseExportHeader(Logger logger, BundleRevision owner, String header, String bsn, Version bv)`
Constructors in org.apache.felix.framework.util.manifestparser with parameters of type BundleRevision
Modifier
Constructor
Description
``
`ManifestParser(Logger logger, Map configMap, BundleRevision owner, Map headerMap)`

## Uses of BundleRevision in org.apache.felix.framework.wiring

Methods in org.apache.felix.framework.wiring that return BundleRevision
Modifier and Type
Method
Description
`BundleRevision`
BundleWireImpl.`getProvider()`
`BundleRevision`
BundleWireImpl.`getRequirer()`
`BundleRevision`
BundleCapabilityImpl.`getResource()`
`BundleRevision`
BundleRequirementImpl.`getResource()`
`BundleRevision`
BundleCapabilityImpl.`getRevision()`
`BundleRevision`
BundleRequirementImpl.`getRevision()`
Constructors in org.apache.felix.framework.wiring with parameters of type BundleRevision
Modifier
Constructor
Description
``
`BundleCapabilityImpl(BundleRevision revision, String namespace, Map<String,String> dirs, Map<String,Object> attrs)`
``
`BundleRequirementImpl(BundleRevision revision, String namespace, Map<String,String> dirs, Map<String,Object> attrs)`
``
`BundleRequirementImpl(BundleRevision revision, String namespace, Map<String,String> dirs, Map<String,Object> attrs, SimpleFilter filter)`
``
`BundleWireImpl(BundleRevision requirer, BundleRequirement req, BundleRevision provider, BundleCapability cap)`

## Uses of BundleRevision in org.osgi.framework.hooks.resolver

Method parameters in org.osgi.framework.hooks.resolver with type arguments of type BundleRevision
Modifier and Type
Method
Description
`ResolverHook`
ResolverHookFactory.`begin(Collection<BundleRevision> triggers)`
This method is called by the framework each time a resolve process begins to obtain a `resolver hook` instance.
`void`
ResolverHook.`filterResolvable(Collection<BundleRevision> candidates)`
Filter resolvable candidates hook method.

## Uses of BundleRevision in org.osgi.framework.wiring

Methods in org.osgi.framework.wiring that return BundleRevision
Modifier and Type
Method
Description
`BundleRevision`
BundleWire.`getProvider()`
Returns the resource providing the `capability`.
`BundleRevision`
BundleWire.`getRequirer()`
Returns the resource who `requires` the `capability`.
`BundleRevision`
BundleCapability.`getResource()`
Returns the resource declaring this capability.
`BundleRevision`
BundleRequirement.`getResource()`
Returns the resource declaring this requirement.
`BundleRevision`
BundleWiring.`getResource()`
Returns the resource associated with this wiring.
`BundleRevision`
BundleCapability.`getRevision()`
Returns the bundle revision declaring this capability.
`BundleRevision`
BundleRequirement.`getRevision()`
Returns the bundle revision declaring this requirement.
`BundleRevision`
BundleWiring.`getRevision()`
Returns the bundle revision for the bundle in this bundle wiring.
Methods in org.osgi.framework.wiring that return types with arguments of type BundleRevision
Modifier and Type
Method
Description
`List<BundleRevision>`
BundleRevisions.`getRevisions()`
Return the bundle revisions for the `referenced` bundle.